GEOS: geos::planargraph::DirectedEdgeStar Class Reference

Public Member Functions

# geos::planargraph::DirectedEdgeStar Class Reference

A sorted collection of DirectedEdge which leave a Node in a PlanarGraph. More...

`#include <DirectedEdgeStar.h>`

List of all members.

## Public Member Functions
| DirectedEdgeStar ()
| Constructs a DirectedEdgeStar with no edges.
void | add (DirectedEdge *de)
| Adds a new member to this DirectedEdgeStar.
void | remove (DirectedEdge *de)
| Drops a member of this DirectedEdgeStar.
std::vector< DirectedEdge * > ::iterator | iterator ()
| Returns an Iterator over the DirectedEdges, in ascending order by angle with the positive x-axis.
std::vector< DirectedEdge * > ::iterator | begin ()
| Returns an iterator to first DirectedEdge.
std::vector< DirectedEdge * > ::iterator | end ()
| Returns an iterator to one-past last DirectedEdge.
std::vector< DirectedEdge * > ::const_iterator | begin () const
| Returns an const_iterator to first DirectedEdge.
std::vector< DirectedEdge * > ::const_iterator | end () const
| Returns an const_iterator to one-past last DirectedEdge.
size_t | getDegree () const
| Returns the number of edges around the Node associated with this DirectedEdgeStar.
geom::Coordinate & | getCoordinate () const
| Returns the coordinate for the node at wich this star is based.
std::vector< DirectedEdge * > & | getEdges ()
| Returns the DirectedEdges, in ascending order by angle with the positive x-axis.
int | getIndex (const Edge *edge)
| Returns the zero-based index of the given Edge, after sorting in ascending order by angle with the positive x-axis.
int | getIndex (const DirectedEdge *dirEdge)
| Returns the zero-based index of the given DirectedEdge, after sorting in ascending order by angle with the positive x-axis.
int | getIndex (int i) const
| Returns the remainder when i is divided by the number of edges in this DirectedEdgeStar.
DirectedEdge * | getNextEdge (DirectedEdge *dirEdge)
| Returns the DirectedEdge on the left-hand side of the given DirectedEdge (which must be a member of this DirectedEdgeStar).

## Detailed Description

A sorted collection of DirectedEdge which leave a Node in a PlanarGraph.

The documentation for this class was generated from the following file:

- planargraph/DirectedEdgeStar.h